BeagleWksBMParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
BeagleWksBMParser Class Reference

the main class to read a BeagleWorks bitmap file More...

`#include <BeagleWksBMParser.hxx>`

Inheritance diagram for BeagleWksBMParser:

## Public Member Functions
| BeagleWksBMParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~BeagleWksBMParser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGDrawingInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGDrawingInterface *documentInterface)
| creates the listener which will be associated to the document More...
MWAWVec2f | getPageLeftTop () const
| returns the page left top point ( in inches) More...
void | newPage (int number)
| adds a new page More...
bool | createZones ()
| finds the different objects zones More...
bool | readRSRCZones ()
| read the resource fork zone More...
bool | sendBitmap ()
| try to send the bitmap More...
bool | sendPageFrames ()
| try to send the page graphic More...
bool | sendFrame (BeagleWksStructManager::Frame const &frame)
| try to send a frame More...
bool | sendPicture (int pId, MWAWPosition const &pos, MWAWGraphicStyle const &style=MWAWGraphicStyle::emptyStyle())
| try to send a picture More...
bool | readPrintInfo ()
| read the print info zone More...
bool | readPrefColorMap ()
| read the preference color map More...
bool | readColorMap ()
| read the bitmap color map (if colored bitmap) More...
bool | readBitmap ()
| try to read a bitmap More...
MWAWInputStreamPtr | rsrcInput ()
| return the input input More...
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc More...
Protected Member Functions inherited from MWAWGraphicParser
| MWAWGraphicParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWGraphicParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setFontConverter (MWAWFontConverterPtr fontConverter)
| sets the font convertor More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< BeagleWksBMParserInternal::State > | m_state
| the state More...
shared_ptr< BeagleWksStructManager > | m_structureManager
| the structure manager More...

## Detailed Description

the main class to read a BeagleWorks bitmap file

## Constructor & Destructor Documentation

BeagleWksBMParser::BeagleWksBMParser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

BeagleWksBMParser::~BeagleWksBMParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool BeagleWksBMParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

void BeagleWksBMParser::createDocument | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

bool BeagleWksBMParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

MWAWVec2f BeagleWksBMParser::getPageLeftTop | ( |  | ) | const
| protected

returns the page left top point ( in inches)

void BeagleWksBMParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by BeagleWksBMParser().

void BeagleWksBMParser::newPage | ( | int | number | ) |
| protected

adds a new page

void BeagleWksBMParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements MWAWGraphicParser.

bool BeagleWksBMParser::readBitmap | ( |  | ) |
| protected

try to read a bitmap

Referenced by createZones().

bool BeagleWksBMParser::readColorMap | ( |  | ) |
| protected

read the bitmap color map (if colored bitmap)

Referenced by readBitmap().

bool BeagleWksBMParser::readPrefColorMap | ( |  | ) |
| protected

read the preference color map

Referenced by createZones().

bool BeagleWksBMParser::readPrintInfo | ( |  | ) |
| protected

read the print info zone

Referenced by checkHeader(), and createZones().

bool BeagleWksBMParser::readRSRCZones | ( |  | ) |
| protected

read the resource fork zone

Referenced by createZones().

libmwaw::DebugFile & BeagleWksBMParser::rsrcAscii | ( |  | ) |
| protected

a DebugFile used to write what we recognize when we parse the document in rsrc

MWAWInputStreamPtr BeagleWksBMParser::rsrcInput | ( |  | ) |
| protected

return the input input

bool BeagleWksBMParser::sendBitmap | ( |  | ) |
| protected

try to send the bitmap

Referenced by parse().

bool BeagleWksBMParser::sendFrame | ( | BeagleWksStructManager::Frame const & | frame | ) |
| protected

try to send a frame

Referenced by sendPageFrames().

bool BeagleWksBMParser::sendPageFrames | ( |  | ) |
| protected

try to send the page graphic

Referenced by parse().

bool BeagleWksBMParser::sendPicture | ( | int | pId,
|  | MWAWPosition const & | pos,
|  | MWAWGraphicStyle const & | style = `MWAWGraphicStyle::emptyStyle()`
| ) |  |
| protected

try to send a picture

Referenced by sendFrame().

## Member Data Documentation

shared_ptr<BeagleWksBMParserInternal::State> BeagleWksBMParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), getPageLeftTop(), init(), newPage(), readBitmap(), readColorMap(), readPrefColorMap(), and sendBitmap().

shared_ptr<BeagleWksStructManager> BeagleWksBMParser::m_structureManager
| protected

the structure manager

Referenced by createZones(), init(), readRSRCZones(), and sendPageFrames().

The documentation for this class was generated from the following files:

- BeagleWksBMParser.hxx
- BeagleWksBMParser.cxx